Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network22.2.78.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
22.2.78.0
Broadcast address
22.2.79.255
First usable
22.2.78.1
Last usable
22.2.79.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
A (default /8)
As numbers
Hex 16024E00 · Integer 369249792 to 369250303
Reverse DNS zones
78.2.22.in-addr.arpa
79.2.22.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010110.00000010.01001110.0000000022.2.78.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network00010110.00000010.01001110.0000000022.2.78.0
Broadcast00010110.00000010.01001111.1111111122.2.79.255
Split into smaller subnets/30

22.2.78.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
122.2.78.0/3022.2.78.1 to 22.2.78.222.2.78.32
222.2.78.4/3022.2.78.5 to 22.2.78.622.2.78.72
322.2.78.8/3022.2.78.9 to 22.2.78.1022.2.78.112
422.2.78.12/3022.2.78.13 to 22.2.78.1422.2.78.152
522.2.78.16/3022.2.78.17 to 22.2.78.1822.2.78.192
622.2.78.20/3022.2.78.21 to 22.2.78.2222.2.78.232
722.2.78.24/3022.2.78.25 to 22.2.78.2622.2.78.272
822.2.78.28/3022.2.78.29 to 22.2.78.3022.2.78.312
922.2.78.32/3022.2.78.33 to 22.2.78.3422.2.78.352
1022.2.78.36/3022.2.78.37 to 22.2.78.3822.2.78.392
1122.2.78.40/3022.2.78.41 to 22.2.78.4222.2.78.432
1222.2.78.44/3022.2.78.45 to 22.2.78.4622.2.78.472
1322.2.78.48/3022.2.78.49 to 22.2.78.5022.2.78.512
1422.2.78.52/3022.2.78.53 to 22.2.78.5422.2.78.552
1522.2.78.56/3022.2.78.57 to 22.2.78.5822.2.78.592
1622.2.78.60/3022.2.78.61 to 22.2.78.6222.2.78.632
1722.2.78.64/3022.2.78.65 to 22.2.78.6622.2.78.672
1822.2.78.68/3022.2.78.69 to 22.2.78.7022.2.78.712
1922.2.78.72/3022.2.78.73 to 22.2.78.7422.2.78.752
2022.2.78.76/3022.2.78.77 to 22.2.78.7822.2.78.792
2122.2.78.80/3022.2.78.81 to 22.2.78.8222.2.78.832
2222.2.78.84/3022.2.78.85 to 22.2.78.8622.2.78.872
2322.2.78.88/3022.2.78.89 to 22.2.78.9022.2.78.912
2422.2.78.92/3022.2.78.93 to 22.2.78.9422.2.78.952
2522.2.78.96/3022.2.78.97 to 22.2.78.9822.2.78.992
2622.2.78.100/3022.2.78.101 to 22.2.78.10222.2.78.1032
2722.2.78.104/3022.2.78.105 to 22.2.78.10622.2.78.1072
2822.2.78.108/3022.2.78.109 to 22.2.78.11022.2.78.1112
2922.2.78.112/3022.2.78.113 to 22.2.78.11422.2.78.1152
3022.2.78.116/3022.2.78.117 to 22.2.78.11822.2.78.1192
3122.2.78.120/3022.2.78.121 to 22.2.78.12222.2.78.1232
3222.2.78.124/3022.2.78.125 to 22.2.78.12622.2.78.1272
3322.2.78.128/3022.2.78.129 to 22.2.78.13022.2.78.1312
3422.2.78.132/3022.2.78.133 to 22.2.78.13422.2.78.1352
3522.2.78.136/3022.2.78.137 to 22.2.78.13822.2.78.1392
3622.2.78.140/3022.2.78.141 to 22.2.78.14222.2.78.1432
3722.2.78.144/3022.2.78.145 to 22.2.78.14622.2.78.1472
3822.2.78.148/3022.2.78.149 to 22.2.78.15022.2.78.1512
3922.2.78.152/3022.2.78.153 to 22.2.78.15422.2.78.1552
4022.2.78.156/3022.2.78.157 to 22.2.78.15822.2.78.1592
4122.2.78.160/3022.2.78.161 to 22.2.78.16222.2.78.1632
4222.2.78.164/3022.2.78.165 to 22.2.78.16622.2.78.1672
4322.2.78.168/3022.2.78.169 to 22.2.78.17022.2.78.1712
4422.2.78.172/3022.2.78.173 to 22.2.78.17422.2.78.1752
4522.2.78.176/3022.2.78.177 to 22.2.78.17822.2.78.1792
4622.2.78.180/3022.2.78.181 to 22.2.78.18222.2.78.1832
4722.2.78.184/3022.2.78.185 to 22.2.78.18622.2.78.1872
4822.2.78.188/3022.2.78.189 to 22.2.78.19022.2.78.1912
4922.2.78.192/3022.2.78.193 to 22.2.78.19422.2.78.1952
5022.2.78.196/3022.2.78.197 to 22.2.78.19822.2.78.1992
5122.2.78.200/3022.2.78.201 to 22.2.78.20222.2.78.2032
5222.2.78.204/3022.2.78.205 to 22.2.78.20622.2.78.2072
5322.2.78.208/3022.2.78.209 to 22.2.78.21022.2.78.2112
5422.2.78.212/3022.2.78.213 to 22.2.78.21422.2.78.2152
5522.2.78.216/3022.2.78.217 to 22.2.78.21822.2.78.2192
5622.2.78.220/3022.2.78.221 to 22.2.78.22222.2.78.2232
5722.2.78.224/3022.2.78.225 to 22.2.78.22622.2.78.2272
5822.2.78.228/3022.2.78.229 to 22.2.78.23022.2.78.2312
5922.2.78.232/3022.2.78.233 to 22.2.78.23422.2.78.2352
6022.2.78.236/3022.2.78.237 to 22.2.78.23822.2.78.2392
6122.2.78.240/3022.2.78.241 to 22.2.78.24222.2.78.2432
6222.2.78.244/3022.2.78.245 to 22.2.78.24622.2.78.2472
6322.2.78.248/3022.2.78.249 to 22.2.78.25022.2.78.2512
6422.2.78.252/3022.2.78.253 to 22.2.78.25422.2.78.2552
6522.2.79.0/3022.2.79.1 to 22.2.79.222.2.79.32
6622.2.79.4/3022.2.79.5 to 22.2.79.622.2.79.72
6722.2.79.8/3022.2.79.9 to 22.2.79.1022.2.79.112
6822.2.79.12/3022.2.79.13 to 22.2.79.1422.2.79.152
6922.2.79.16/3022.2.79.17 to 22.2.79.1822.2.79.192
7022.2.79.20/3022.2.79.21 to 22.2.79.2222.2.79.232
7122.2.79.24/3022.2.79.25 to 22.2.79.2622.2.79.272
7222.2.79.28/3022.2.79.29 to 22.2.79.3022.2.79.312
7322.2.79.32/3022.2.79.33 to 22.2.79.3422.2.79.352
7422.2.79.36/3022.2.79.37 to 22.2.79.3822.2.79.392
7522.2.79.40/3022.2.79.41 to 22.2.79.4222.2.79.432
7622.2.79.44/3022.2.79.45 to 22.2.79.4622.2.79.472
7722.2.79.48/3022.2.79.49 to 22.2.79.5022.2.79.512
7822.2.79.52/3022.2.79.53 to 22.2.79.5422.2.79.552
7922.2.79.56/3022.2.79.57 to 22.2.79.5822.2.79.592
8022.2.79.60/3022.2.79.61 to 22.2.79.6222.2.79.632
8122.2.79.64/3022.2.79.65 to 22.2.79.6622.2.79.672
8222.2.79.68/3022.2.79.69 to 22.2.79.7022.2.79.712
8322.2.79.72/3022.2.79.73 to 22.2.79.7422.2.79.752
8422.2.79.76/3022.2.79.77 to 22.2.79.7822.2.79.792
8522.2.79.80/3022.2.79.81 to 22.2.79.8222.2.79.832
8622.2.79.84/3022.2.79.85 to 22.2.79.8622.2.79.872
8722.2.79.88/3022.2.79.89 to 22.2.79.9022.2.79.912
8822.2.79.92/3022.2.79.93 to 22.2.79.9422.2.79.952
8922.2.79.96/3022.2.79.97 to 22.2.79.9822.2.79.992
9022.2.79.100/3022.2.79.101 to 22.2.79.10222.2.79.1032
9122.2.79.104/3022.2.79.105 to 22.2.79.10622.2.79.1072
9222.2.79.108/3022.2.79.109 to 22.2.79.11022.2.79.1112
9322.2.79.112/3022.2.79.113 to 22.2.79.11422.2.79.1152
9422.2.79.116/3022.2.79.117 to 22.2.79.11822.2.79.1192
9522.2.79.120/3022.2.79.121 to 22.2.79.12222.2.79.1232
9622.2.79.124/3022.2.79.125 to 22.2.79.12622.2.79.1272
9722.2.79.128/3022.2.79.129 to 22.2.79.13022.2.79.1312
9822.2.79.132/3022.2.79.133 to 22.2.79.13422.2.79.1352
9922.2.79.136/3022.2.79.137 to 22.2.79.13822.2.79.1392
10022.2.79.140/3022.2.79.141 to 22.2.79.14222.2.79.1432
10122.2.79.144/3022.2.79.145 to 22.2.79.14622.2.79.1472
10222.2.79.148/3022.2.79.149 to 22.2.79.15022.2.79.1512
10322.2.79.152/3022.2.79.153 to 22.2.79.15422.2.79.1552
10422.2.79.156/3022.2.79.157 to 22.2.79.15822.2.79.1592
10522.2.79.160/3022.2.79.161 to 22.2.79.16222.2.79.1632
10622.2.79.164/3022.2.79.165 to 22.2.79.16622.2.79.1672
10722.2.79.168/3022.2.79.169 to 22.2.79.17022.2.79.1712
10822.2.79.172/3022.2.79.173 to 22.2.79.17422.2.79.1752
10922.2.79.176/3022.2.79.177 to 22.2.79.17822.2.79.1792
11022.2.79.180/3022.2.79.181 to 22.2.79.18222.2.79.1832
11122.2.79.184/3022.2.79.185 to 22.2.79.18622.2.79.1872
11222.2.79.188/3022.2.79.189 to 22.2.79.19022.2.79.1912
11322.2.79.192/3022.2.79.193 to 22.2.79.19422.2.79.1952
11422.2.79.196/3022.2.79.197 to 22.2.79.19822.2.79.1992
11522.2.79.200/3022.2.79.201 to 22.2.79.20222.2.79.2032
11622.2.79.204/3022.2.79.205 to 22.2.79.20622.2.79.2072
11722.2.79.208/3022.2.79.209 to 22.2.79.21022.2.79.2112
11822.2.79.212/3022.2.79.213 to 22.2.79.21422.2.79.2152
11922.2.79.216/3022.2.79.217 to 22.2.79.21822.2.79.2192
12022.2.79.220/3022.2.79.221 to 22.2.79.22222.2.79.2232
12122.2.79.224/3022.2.79.225 to 22.2.79.22622.2.79.2272
12222.2.79.228/3022.2.79.229 to 22.2.79.23022.2.79.2312
12322.2.79.232/3022.2.79.233 to 22.2.79.23422.2.79.2352
12422.2.79.236/3022.2.79.237 to 22.2.79.23822.2.79.2392
12522.2.79.240/3022.2.79.241 to 22.2.79.24222.2.79.2432
12622.2.79.244/3022.2.79.245 to 22.2.79.24622.2.79.2472
12722.2.79.248/3022.2.79.249 to 22.2.79.25022.2.79.2512
12822.2.79.252/3022.2.79.253 to 22.2.79.25422.2.79.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses